---
bases:
  - ../../bases/helmDefaults.yaml
  - ../../bases/environments.yaml

---
repositories:
  - name: grafana
    url: https://grafana.github.io/helm-charts

releases:
  - name: promtail
    chart: grafana/promtail
    namespace: promtail
    version: {{ .Values | get "promtail.chart_version" nil }}
    installed: {{ .Values | get "promtail.installed" false }}
    labels:
      tier: inf
    needs:
      - promtail-secrets
    values:
      - values.yaml.gotmpl
      - '{{ .Values | get "env_prefix" .Environment.Name }}.yaml.gotmpl'

  - name: promtail-secrets
    chart: oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts/vault-secrets
    version: ~1.2
    namespace: promtail
    installed: {{ .Values | get "promtail.installed" false }}
    labels:
      tier: inf
    disableValidationOnInstall: true
    values:
      - 'values-secrets/{{ .Values | get "env_prefix" .Environment.Name }}.yaml.gotmpl'
